View Geo and CIDR map details

Prev Next

Available in Classic and VPC

View details of a specified Geo/CIDR map.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /gtm/v1/maps/{mapId}

Request headers

For information about the headers common to all Geo/CIDR map APIs, see Geo/CIDR map API request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
mapId Integer Required Geo/CIDR map ID list

Request example

The following is a sample request.

curl --location --request GET 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/maps/***' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See MapDetailResponse for the response body.

Response status codes

For information about the HTTP status codes common to all Geo/CIDR map APIs, see Geo/CIDR map API response status codes.

Response example

The following is a sample response.

{
    "id": ***,
    "name": "map000",
    "mapType": "GEO",
    "detailedMapList": [
        {
            "id": ***,
            "name": "zone",
            "content": "Afghanistan",
            "geoIdMappings": [
                {
                    "geoName": "Afghanistan",
                    "geoType": "NATION"
                }
            ]
        },
        {
            "id": *,
            "name": "ETC",
            "content": "All countries not defined at the top",
            "geoIdMappings": null
        }
    ],
    "defaultYn": false,
    "createdDate": 1716798589,
    "modifiedDate": 1716798589
}

Error code example

The following is a sample error code.

{
  "result": "FAIL",
  "error": {
    "errorCode": "05X000",
    "message": "You don't have permissions for the map or the map doesn't exist.",
    "moreInfo": {
      "timestamp": "2022-11-16T17:01:37.635+09:00"
    }
  }
}